Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455615 - FEAT: HTS should include a list of discovered devices in it's results.xml
Summary: FEAT: HTS should include a list of discovered devices in it's results.xml
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (harness)
Version: 5
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Greg Nichols
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-16 16:40 UTC by Greg Nichols
Modified: 2009-01-27 22:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-27 22:58:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0047 normal SHIPPED_LIVE hts bug fix update 2009-01-27 22:57:30 UTC

Description Greg Nichols 2008-07-16 16:40:19 UTC
Description of problem:

HTS should include a list of discovered devices in it's results.xml.  This would
allow tools and/or reviewers to consider what devices HTS discovered during test
planning.

Version-Release number of selected component (if applicable):

Comment 1 Greg Nichols 2008-08-22 01:29:36 UTC
Device Lists added in HTS 5.2 R19

Comment 2 Greg Nichols 2008-08-28 01:40:50 UTC
Fix delayed to HTS 5.3

Comment 3 Rob Landry 2008-09-08 18:54:28 UTC
We also probably want to figure out how many and when, that is the relationship between this device list and the plan created and the test run since technically the list could be different for each (I would expect any differences to occur between test runs).

Comment 4 Greg Nichols 2009-01-06 02:32:21 UTC
Hardware changes are addressed in a separate bug: 468918

Comment 6 Yan Tian 2009-01-15 05:49:52 UTC
Verified /var/hts/results.xml file included device list in hts-5.3-12.

Comment 8 errata-xmlrpc 2009-01-27 22:58:43 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0047.html


Note You need to log in before you can comment on or make changes to this bug.